Print composer: Removing the legend title do not remove the blank space at the top of the legend

2016-09-28 05:17 AM - Harrissou Santanna

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.16.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 23551

Description

When you add a legend to a print composer, by default, a string "Legend" is added as title.

If you remove this text, the space occupied by the text remains as blank at the top of the frame while in 2.14, it was automatically removed

(frame was somehow resized).

This is a regression.

History

#1 - 2016-09-29 09:44 PM - Nyall Dawson

- Status changed from Open to Feedback

I've tested with 2.14.7 and it has the same behaviour. I'm not sure if this behaviour is by design - maybe it was done this way so that you could put a space

at the top of the legend? You can always decrease the title space to 0 to get no padding.

#2 - 2016-09-30 12:08 AM - Harrissou Santanna

In first releases, removing the title still kept the space corresponding to title font at the top of the legend. And then that space has been removed (I can't tell

in which release). Which is cleaner, imho.

I just retried with master and the spacing is not present but i have it present in one of my composers in 2.16.3 but can't reproduce it. Will dig!

#3 - 2017-01-03 03:52 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

I just retried with master and the spacing is not present but i have it present in one of my composers in 2.16.3 but can't reproduce it. Will dig!

please reopen if necessary.
